<?php

/**
 * 常规操作
 */
$route['*']['/'] = array('UserController', 'login');
$route['*']['/reg'] = array('UserController', 'reg');
$route['*']['/smsreg'] = array('UserController', 'smsreg');
$route['*']['/smsreg/:soft'] = array('UserController', 'smsreg');
$route['*']['/reg/:soft'] = array('UserController', 'reg');
$route['*']['/getpasswd'] = array('UserController', 'getpasswd');
$route['*']['/SetPwd/:AuthStr'] = array('UserController', 'setpasswd');
$route['*']['/sec'] = array('UserController', 'secmail');
$route['*']['/chpasswd'] = array('UserController', 'chpasswd');
$route['*']['/login'] = array('UserController', 'login');
$route['*']['/login/forward/:forward'] = array('UserController', 'login');
$route['*']['/logout'] = array('UserController', 'logout');
$route['*']['/changeMail'] = array('UserController', 'CheckNewEMail');
$route['*']['/changeMobile'] = array('UserController', 'CheckNewMobile');
$route['*']['/addMail'] = array('UserController', 'AddMail');
$route['*']['/addMobile'] = array('UserController', 'AddMobile');
$route['*']['/ChangEmail/:AuthStr'] = array('UserController', 'ChangEmail');
$route['*']['/ActEmail/:AuthStr'] = array('UserController', 'ActEmail');
$route['*']['/actuser/:AuthStr'] = array('UserController', 'activeUserDo');
$route['*']['/check'] = array('UserController', 'checkuser');
$route['*']['/checkphone'] = array('UserController', 'checkphone');
$route['*']['/checkemail'] = array('UserController', 'checkemail');
//$route['*']['/deposit'] = array('UserController', 'deposit');
$route['*']['/deposit'] = array('UserController', 'deposit2');
$route['*']['/deposit3'] = array('UserController', 'deposit3');
$route['*']['/Receive'] = array('UserController', 'receive');
$route['*']['/Send'] = array('UserController', 'Send');
$route['*']['/pay'] = array('UserController', 'pay');
$route['*']['/nactchm'] = array('UserController', 'nactChangMail');
$route['*']['/checksms'] = array('UserController', 'checkSms');
$route['*']['/chpwdsms'] = array('UserController', 'chpwdsms');
$route['*']['/checkgetpwdsms'] = array('UserController', 'checkgetpwdsms');
$route['*']['/mobile/reg'] = array('UserController', 'regMobile');
$route['*']['/mobile/getpasswd'] = array('UserController', 'getPWMobile');
$route['*']['/mobile/setpasswd'] = array('UserController', 'setPWMobile');
$route['*']['/mobile/successpw'] = array('UserController', 'successPW');
$route['*']['/voucher'] = array('UserController', 'Voucher');
$route['*']['/getvoucher/:pindex'] = array('UserController', 'getVoucherMsg');
$route['*']['/order'] = array('UserController', 'Order');
$route['*']['/getorder/:pindex'] = array('UserController', 'getOrderMsg');
/*test*/
//$route['*']['/depositTest'] = array('UserController', 'depositTest');

/*test*/

$route['*']['/alipay'] = array('UserController', 'alipay');
$route['*']['/api/smartcost/sso/return_url.php'] = array('UserController', 'returnAlipay');
$route['*']['/api/smartcost/sso/notify_url.php'] = array('UserController', 'notifyAlipay');
/**
 *  API
 */
$route['*']['/api/register/:authstr'] = array('ApiController', 'register');
$route['*']['/api/edit'] = array('ApiController', 'edit');
$route['*']['/api/getuserinfo'] = array('ApiController', 'getuserinfo');
$route['post']['/api/login'] = array('ApiController', 'login');
$route['post']['/api/jzlogin'] = array('ApiController', 'login2');
$route['*']['/api/synlogout/:authstr'] = array('ApiController', 'synlogout');
$route['*']['/api/uploadavatar/:authstr'] = array('ApiController', 'uploadavatar');
$route['*']['/api/payway'] = array('ApiController', 'setPayWay');
//$route['*']['/api/uploadavatar/:authstr'] = array('ApiController', 'uploadavatar');
$route['*']['/api/synlogin/:username'] = array('ApiController', 'LoginSetCookie');
$route['*']['/api/getBank'] = array('ApiController', 'getBank');
$route['*']['/api/getPayOrder'] = array('ApiController', 'getPayOrder');
//$route['get']['/api/synlogin/:username'] = array('ApiController', 'synLogin');
$route['*']['/profile'] = array('UserController', 'profile');
$route['*']['/safe'] = array('UserController', 'issafe');
$route['*']['/api/madd'] = array('ApiController', 'madd');
$route['*']['/api/msub'] = array('ApiController', 'msub');
$route['*']['/api/checkauth'] = array('ApiController', 'checkauth');
$route['*']['/api/getuserlist'] = array('ApiController', 'getuserlist');
$route['post']['/api/scLogin'] = array('ApiController', 'scLogin');
$route['post']['/api/mobileregister'] = array('ApiController', 'MobileRegister');
$route['post']['/api/mobilecode'] = array('ApiController', 'MobileCode');
$route['post']['/api/forgetpw'] = array('ApiController', 'ForgetPW');

$route['*']['/api/getdeposit'] = array('ApiController', 'Deposit');

/**
 *  后台
 */
$route['*']['/m'] = array('m/AdminController', 'login');
$route['*']['/m/main'] = array('m/AdminController', 'main');
$route['*']['/m/main/charts'] = array('m/AdminController', 'mainCharts');
$route['*']['/m/logout'] = array('m/AdminController', 'logout');
$route['*']['/m/user'] = array('m/AdminController', 'userAdd');
$route['*']['/m/user/page/:pindex'] = array('m/AdminController', 'userAdd');
$route['*']['/m/admin'] = array('m/AdminController', 'adminAdd');
$route['*']['/m/admin/page/:pindex'] = array('m/AdminController', 'adminAdd');
$route['*']['/m/main/index'] = array('m/AdminController', 'mainIndex');

$route['*']['/m/pay/add'] = array('m/AdminController', 'pay');
$route['*']['/m/pay/add/page/:status/:pindex'] = array('m/AdminController', 'pay');
$route['*']['/m/pay/add/page/:search/:status/:pindex'] = array('m/AdminController', 'pay');
$route['*']['/m/pay/add/page/:pindex'] = array('m/AdminController', 'pay');
$route['*']['/m/pay/del/:pid'] = array('m/PayController', 'pay_del');
$route['*']['/m/pay/close/:pid'] = array('m/PayController', 'pay_cancel');
$route['*']['/m/pay/modify/:pid'] = array('m/AdminController', 'payModify');

$route['*']['/m/c/status'] = array('m/AdminController', 'payStatus');

/**
* 销售提成
*/
$route['*']['/m/sale'] = array('m/SaleController', 'index');
$route['*']['/m/sale/page/:pindex'] = array('m/SaleController', 'index');
$route['*']['/m/sale/cash/:pid'] = array('m/SaleController', 'doCash');

/**
 * 邮件
 */
$route['*']['/m/email'] = array('m/EmailController', 'manage_Email');
$route['*']['/m/do_add_email_task'] = array('m/EmailController', 'manage_add_email_task');
$route['*']['/m/send_email_task/:tid'] = array('m/EmailController', 'manage_send_email_task');
$route['*']['/m/ajax_send_email_task/:tid'] = array('m/EmailController', 'manage_ajax_send_email_task');
$route['*']['/m/delete_email_task/:tid'] = array('m/EmailController', 'manage_delete_email_task');
$route['*']['/m/send_faild_email_task/:tid'] = array('m/EmailController', 'manage_send_faild_email_task');
$route['*']['/m/faild_email_task/:tid'] = array('m/EmailController', 'manage_faild_email_task');
$route['*']['/m/createEmail'] = array('m/EmailController', 'createEmail');
$route['*']['/m/mailList'] = array('m/EmailController', 'mailList');
$route['*']['/m/postMail/:eid/:es'] = array('m/EmailController', 'postEmail');
$route['*']['/m/viewMail/:eid'] = array('m/EmailController', 'viewMail');
$route['*']['/m/send/u/p'] = array('m/EmailController', 'sendUP');
$route['*']['/m/send/u/p2'] = array('m/EmailController', 'sendUP2');

/**
 * 代金券
 */
$route['*']['/m/voucher'] = array('m/AdminController', 'voucherList');
$route['*']['/m/voucher/page/:pindex'] = array('m/AdminController', 'voucherList');
$route['*']['/m/voucher/status/:status'] = array('m/AdminController', 'voucherList');
$route['*']['/m/voucher/status/:status/page/:pindex'] = array('m/AdminController', 'voucherList');
$route['*']['/m/setvoucher'] = array('m/AdminController', 'setVoucher');
$route['*']['/m/delvoucher/:vid'] = array('m/AdminController', 'delVoucher');

/**
 *  报错
 */
$route['*']['/error'] = array('ErrorController', 'defaultError');
$route['*']['/error/loginFail'] = array('ErrorController', 'loginError');
$route['*']['/error/islogin'] = array('ErrorController', 'IsloginError');
$route['*']['/error/actemail'] = array('ErrorController', 'ActEmailError');
$route['*']['/error/postNotFound/:pid'] = array('ErrorController', 'postError');
$route['*']['/error/actuser'] = array('ErrorController', 'activeUser');
$route['*']['/error/isact'] = array('ErrorController', 'isact');
$route['*']['/error/userdemail'] = array('ErrorController', 'userdemail');
$route['*']['/error/erroremail'] = array('ErrorController', 'erroremail');
$route['*']['/msg/login'] = array('ErrorController', 'loginandforwardtodeposit');
$route['*']['/msg/logout'] = array('ErrorController', 'logout');
$route['*']['/error/UserName'] = array('ErrorController', 'username');
$route['*']['/error/actUserError'] = array('ErrorController', 'actUserError');
$route['*']['/error/actived'] = array('ErrorController', 'actived');
$route['*']['/error/mobile'] = array('ErrorController', 'mobilereg');
$route['*']['/error/hadmobile'] = array('ErrorController', 'hadmobile');
$route['*']['/error/mima'] = array('ErrorController', 'mimaerror');
$route['*']['/notic/relogin'] = array('ErrorController', 'relogin');
$route['*']['/notic/addmobile'] = array('ErrorController', 'addmobile');
$route['*']['/notic/repwdmobile'] = array('ErrorController', 'repwdmobile');
$route['*']['/email/error'] = array('ErrorController', 'emailerror');

/**
 *  活动
 */
//$route['*']['/online'] = array('ActivityController', 'online');
//$route['*']['/do'] = array('ActivityController', 'onlinedo');
//$route['*']['/test'] = array('ActivityController', 'test');
//$route['*']['/testdo'] = array('ActivityController', 'testdo');
/**
 *  掉单问题的自动对账 auto order processing
 */
$route['*']['/api/chinabank/autorder'] = array('AutoReceiveController', 'autoreceive');

/**
 *   添加其他旧表内容到账单表中,一次后删除
 */
//$route['*']['/payUpdate'] = array('m/AdminController', 'payUpdate');
//$route['*']['/api/askUpdate'] = array('ApiController', 'askUpdate');
//$route['*']['/api/wenkuUpdate'] = array('ApiController', 'wenkuUpdate');

?>